package extVisitor;

/**
 * An extended visitor that can be executed by an IHost.
 * @author swong
 *
 */
public interface IExtVisitor {
	
	/**
	 * The parameterized case method that the host calls, handing it its ID.
	 * @param id  The ID of the host
	 * @param host The host itself
	 * @param params Any parameters the visitor might need to perform its output.
	 * @return The results of the algorithm's operation on the host.
	 */
	public Object caseAt(String id, IHost host, Object...params);
}
